Skip to main content

Exchange Status

Request to be POSTed to uri : /NorenWClientAPI/ExchStatus

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/ExchStatus' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO", "tsym":"ACC-EQ", "exch":"NSE","strprc":"210.00","cnt":"1"}'

Response Details :

Response data will have below fields.

Json FieldsPossible valueDescription
statsuccess or failure indication.
exchExchange Segment
exchstatExchange status
exchtypeExch Type
descriptionDescription [#]
norentmNoren Time Stamp [#]
noren_nsecsNoren Nanoseconds [#]
exch_tmExchange Timestamp [#]

[#] - By Default disabled and Enabled on request basis.

Sample Success Response :

[
{
"stat":"Ok",
"exch":"MCX",
"exchstat":"OPEN",
"exchtype":"NORMAL",
"description":"15-Feb-2023 09:00:00 The Normal market has opened for 15 FEB 2023.",
"norentm":"1683279243",
"noren_nsecs":"883504436",
"exch_tm":"05-05-2023 15:04:03"
}
]

Sample Failure Response :

 {
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}